lxc-android (1:39+git20250906140358.64f9b2f.droidian) trixie; urgency=medium

  * [lxc-android] Set basic permissions for default devices when using binderfs

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Sat, 06 Sep 2025 16:03:58 +0200

lxc-android (1:38) next; urgency=medium

  [ Eugenio Paolantonio ]
  * Merge pull request #11 from Bettehem/droidian

  [ Bettehem ]
  * Revert "[lxc-android] Add support for process accounting"

 -- Eugenio Paolantonio <me@medesimo.eu>  Mon, 27 Jan 2025 00:06:48 +0100

lxc-android (1:37) next; urgency=medium

  [ Eugenio Paolantonio ]
  * Merge pull request #10 from droidian/acct_fix

  [ Cédric Bellegarde ]
  * [lxc-android] Add support for process accounting

 -- Eugenio Paolantonio <me@medesimo.eu>  Tue, 07 Jan 2025 19:47:29 +0100

lxc-android (1:36) next; urgency=medium

  * [lxc-android] mount-android: s/secure/trusted

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Tue, 27 Aug 2024 22:56:43 +0200

lxc-android (1:35) next; urgency=medium

  * [lxc-android] mount-android: skip "secure" flag as well

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Mon, 26 Aug 2024 00:25:15 +0200

lxc-android (1:34) next; urgency=medium

  [ arpio23 ]
  * mount-android: Validate vendor partition by checking for build.prop. If it does not exists, try to mount from a different slot.
  * mount-android: skip vendor mounts if already mounted

  [ Alexander Rutz ]
  * mount-android: Add all possible mount points to images list. Break the loop when build.prop is found.

  [ Erik Inkinen ]
  * mount-android: break on successful mount

  [ Bardia Moshiri ]
  * udev: add rule for sec_touchscreen

 -- arpio23 <alex@familyrutz.com>  Tue, 18 Jun 2024 14:12:59 -0600

lxc-android (1:33) trixie; urgency=medium

  * udev: add a rule for focaltech fts touchscreen
  * udev: add rule for synaptics s3320

 -- Bardia Moshiri <fakeshell@bardia.tech>  Thu, 28 Dec 2023 16:14:47 -0500

lxc-android (1:32) trixie; urgency=medium

  * udev: add goodix_ts and mediatek generic touchpanels

 -- Bardia Moshiri <fakeshell@bardia.tech>  Sat, 23 Dec 2023 16:25:29 -0500

lxc-android (1:31) trixie; urgency=medium

  * udev: add omnivision tcm touchscreen

 -- Bardia Moshiri <fakeshell@bardia.tech>  Fri, 22 Dec 2023 17:11:26 -0500

lxc-android (1:30) trixie; urgency=medium

  * udev: add synaptics dsx udev rule

 -- Bardia Moshiri <fakeshell@bardia.tech>  Fri, 22 Dec 2023 01:56:26 -0500

lxc-android (1:29) trixie; urgency=medium

  * udev: add rules novatek and synaptics tcm

 -- Bardia Moshiri <fakeshell@bardia.tech>  Thu, 21 Dec 2023 00:31:12 -0500

lxc-android (1:28) trixie; urgency=medium

  [ Bardia Moshiri ]
  * Merge pull request #8 from Bettehem/droidian

  [ Bettehem ]
  * udev: add rule for synaptics touchpad

 -- Bardia Moshiri <fakeshell@bardia.tech>  Wed, 20 Dec 2023 01:40:33 -0500

lxc-android (1:27) trixie; urgency=medium

  * mount-android: add support for mounting vendor_dlkm

 -- Bardia Moshiri <fakeshell@bardia.tech>  Mon, 04 Dec 2023 14:01:37 -0500

lxc-android (1:26) trixie; urgency=medium

  [ Bardia Moshiri ]
  * lxc-android: drop copy-udev-rules
  * mount-android: don't mount product and system_ext
  * debian: drop changelog
  * debian: properly setup all values for copyright and urls

  [ TheKit ]
  * mount-android: fix slot suffix detection for devices with /proc/bootconfig

 -- Bardia Moshiri <fakeshell@bardia.tech>  Tue, 28 Nov 2023 09:42:16 -0500

lxc-android (1:25) trixie; urgency=medium

  [ Bardia Moshiri ]
  * Merge pull request #7 from Bettehem/droidian

  [ Bettehem ]
  * Added rules for ignoring misbehaving BT devices in libinput

  [ Eugenio Paolantonio (g7) ]
  * [skip ci] Move to Droidian rolling

 -- Bardia Moshiri <fakeshell@bardia.tech>  Thu, 21 Sep 2023 22:31:25 +0330

lxc-android (1:24) bookworm; urgency=medium

  [ Eugenio Paolantonio ]
  * Merge pull request #5 from droidian/feature/bookworm/legacy-rootfscheck

  [ Bardia Moshiri ]
  * [lxc-android] mount-android: make sure the rootfs is mounted correctly before mounting the rest

 -- Eugenio Paolantonio <me@medesimo.eu>  Tue, 16 May 2023 00:47:01 +0200

lxc-android (1:23) bookworm; urgency=medium

  * [lxc-android] drop old udev rules and scripts
  * [lxc-android] mount-android: use the older syntax with workdir on devices with kernels older than 4

 -- Bardia Moshiri <fakeshell@bardia.tech>  Sun, 14 May 2023 23:13:52 -0400

lxc-android (1:22) bookworm; urgency=medium

  * [skip ci] [ci] Use the checkout step provided by the droidian-buildd orb
  * [lxc-android] systemd: avoid starting container during system updates

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Sun, 26 Feb 2023 20:06:26 +0100

lxc-android (1:21) bookworm; urgency=medium

  * [lxc-android] mount-android: try the slotted vendor dynpart as well

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Wed, 07 Dec 2022 00:24:37 +0100

lxc-android (1:20) bookworm; urgency=medium

  * [skip ci] Replace Drone with CircleCI
  * [lxc-android] lxc-android-notify: properly lookup every apex source

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Sun, 23 Oct 2022 17:10:37 +0200

lxc-android (1:19) bookworm; urgency=medium

  * [systemd] Split android_boot_completed

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Wed, 14 Sep 2022 16:19:16 +0200

lxc-android (1:18) bookworm; urgency=medium

  [ Eugenio Paolantonio ]
  * Merge pull request #3 from Verevka/bookworm

  [ Verevka ]
  * [lxc-android] Added support for binderfs

 -- Eugenio Paolantonio <me@medesimo.eu>  Mon, 08 Aug 2022 18:41:07 +0200

lxc-android (1:17) bookworm; urgency=medium

  [ Eugenio Paolantonio ]
  * Merge pull request #2 from nitanmarcel/patch-1

  [ Nitan Alexandru Marcel ]
  * [lxc-android] udev: add FingerTipS and Novatek NT36xxx

 -- Eugenio Paolantonio <me@medesimo.eu>  Tue, 05 Jul 2022 00:57:58 +0200

lxc-android (1:16) bookworm; urgency=medium

  * [systemd] android_boot_completed: wait for phosh to start before signalling boot completion

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Sun, 03 Jul 2022 02:31:35 +0200

lxc-android (1:15) bookworm; urgency=medium

  * [lxc-android] udev: add goodix-ts and aw9523b (keyboard)

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Tue, 07 Jun 2022 17:17:14 +0200

lxc-android (1:14) bookworm; urgency=medium

  * [lxc-android] Support Android dynamic partitions
  * [packaging] Depend on parse-android-dynparts and dmsetup

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Thu, 02 Jun 2022 00:43:54 +0200

lxc-android (1:13) bookworm; urgency=medium

  * [lxc-android] android_boot_completed: create a stamp file on boot completed

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Mon, 30 May 2022 22:53:28 +0200

lxc-android (1:12) bookworm; urgency=medium

  * [lxc-android] mount-android: allow specifying extra fstab files to check into

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Mon, 11 Apr 2022 01:42:41 +0200

lxc-android (1:11) bookworm; urgency=medium

  * [lxc-android] lxc-android-notify: search com.android.runtime as well when launching waitforservice

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Sun, 30 Jan 2022 17:50:56 +0100

lxc-android (1:10) bullseye; urgency=medium

  * [systemd] Signal the Halium container when the boot has been completed

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Thu, 25 Nov 2021 23:42:45 +0100

lxc-android (1:9) bullseye; urgency=medium

  * [mount-android] Mount eventual overlays before parsing fstab

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Sat, 02 Oct 2021 13:30:01 +0200

lxc-android (1:8) bullseye; urgency=medium

  * [lxc-android] Refactor Android container service start-up
  * [lxc-android] Added support for APEXes
  * [lxc-android] config: bind-mount /odm if present
  * [packaging] lxc-android: depend on libc-bin and halium-wrappers >= 5
  * [lxc-android] udev: added udev rules for some common touchscreen panels unrecognized by libinput

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Fri, 06 Aug 2021 15:36:16 +0200

lxc-android (7) bullseye; urgency=medium

  [ r3vn ]
  * [lxc-android] mount_android.sh: added overlayFS support for vendor

  [ Eugenio Paolantonio (g7) ]
  * [ci] Updated to match new name [CI SKIP]

 -- r3vn <giuseppe.corti@protonmail.com>  Fri, 16 Apr 2021 21:06:00 +0200

lxc-android (6+b1) bullseye; urgency=medium

  * [lxc-android] mount_android.sh: added overlayFS support
  * [ci] build using Drone CI

 -- r3vn <giuseppe.corti@protonmail.com>  Sun, 21 Feb 2021 01:47:07 +0100

lxc-android (1:5) bullseye; urgency=medium

  * [packaging] added lxc-android.dirs

 -- r3vn <giuseppe.corti@protonmail.com>  Fri, 23 Oct 2020 22:27:45 +0200

lxc-android (1:4) bullseye; urgency=medium

  * removed rootfs README

 -- r3vn <giuseppe.corti@protonmail.com>  Sun, 18 Oct 2020 18:24:45 +0200

lxc-android (1:3) bullseye; urgency=medium

  [ r3vn ]
  * Merge branch 'feature/bullseye/autobind' into bullseye

  [ Erfan Abdi ]
  * android9: Add rootfs mountpoint

  [ Eugenio Paolantonio (g7) ]
  * [mount-android] Directly bind-mount /vendor and eligible partitions scraped from the vendor fstab on the LXC rootfs
  * [lxc] config: remove /vendor and /android/efs entries

 -- r3vn <giuseppe.corti@protonmail.com>  Sat, 17 Oct 2020 19:30:12 +0200

lxc-android (1:2) bullseye; urgency=medium

  * packaging: build as native

 -- r3vn <giuseppe.corti@protonmail.com>  Wed, 14 Oct 2020 00:27:18 +0200

lxc-android (4.5.0-2) bullseye; urgency=medium

  [ r3vn ]
  * build using travis ci

  [ Erfan Abdi ]
  * Merge remote-tracking branch 'debian-pm/master' into bullseye
  * Revert "apply update-lxc-config-for-LXC-2.1.patch"
  * debian: Drop postinstall scripts
  * lxc-android: Cleanup unused files
  * lxc-android: Android 9 updates
  * android9: Nuke adbd service

  [ Ivan Semkin ]
  * pme: Add udev rules
  * lxc-android: Update the config for LXC 2.1

  [ NeKit ]
  * lxc-android: Adapt pre-start.sh to work both with Halium 9 and older ports

  [ Nick Gasson ]
  * Add udev rules for herolte (Samsung S7)

  [ Jonah Brüchert ]
  * Add GitLab ci configuration
  * Move .gitlab-ci.yml into debian folder
  * Update Vcs information
  * apply update-lxc-config-for-LXC-2.1.patch
  * Update changelog for 0.1+git20180723-3
  * Update standards version
  * Release snapshot 0.1+git20190129
  * New snapshot 0.1+git20190206
  * Add udev rules for Dell WW_bb
  * Release new snapshot 0.1+git20200312-1
  * Rename 70-BB to 70-fugu
  * Release new snapshot 0.1+git20200315-1

  [ walid hammami ]
  * Add LGV20 h918 rules

  [ TuxThePenguin0 ]
  * Create 70-axon7.rules

  [ Danct12 ]
  * santoni: added Xiaomi Redmi 4X udev rules.

  [ drgroovestarr ]
  * angler: update Nexus 6p udev rules

  [ NotKit ]
  * Merge pull request #30 from HaliumForMSM8916/master

  [ Iker Sandí Trejo ]
  * harpia: add udev rules

  [ Ilya Bizyaev ]
  * T00F: add udev rules
  * No configfs mount if separate /config partition
  * Disable MAC randomization on Wi-Fi scan

  [ Florian Leeber ]
  * Adding udev rules for Samsung S3 Neo (s3ve3g)

  [ charlesDelaware ]
  * rs988: Add udev rules (#26)

  [ Pepitortue ]
  * d855: Add udev rules (#25)

  [ LNJ ]
  * Add udev rules for yuga
  * scorpion: Add udev rules

  [ Konrad ]
  * nicki: add udev rules (#23)

  [ Alfred Neumayer ]
  * suzu: add udev rules (generated from ueventd rc files)
  * suzu: Set ID_INPUT_TOUCHSCREEN device property for Clearpad input driver

  [ Alexey Minnekhanov ]
  * klte: add udev rules

  [ abhishek ]
  * Create 70-wt88047.rules

  [ Vince1171 ]
  * oneplus2: Update udev rules (#18)

  [ Salik Sadruddin Merani ]
  * rolex/riva: Add udev rules (#17)

  [ JBBgameich ]
  * Add revision as package is non-native
  * Update to standards-version 4.1.1
  * New snapshot
  * Add copyright
  * Update debhelper to 11
  * New snapshot 20180331
  * Add postinst and postrm actions to create / remove android groups
  * temporary revert halium-boot links, since I'm not sure they will work with the existing container launch script
  * 0.1+git20180331-2
  * New snapshot 0.1+git20180520-1
  * Run wrap-and-sort
  * Remove adbd
  * Fix a few bugs reported by lintian
  * 0.1+git20180723-1
  * Add missing dependency on cpio

  [ Herrie ]
  * tissot: Add udev rules (#16)

  [ Rupansh Kek ]
  * land: Add udev rules (#14)

  [ siljaer ]
  * trunk: add udev rules (#12)

  [ Akilan Elango ]
  * exit the container when started again

  [ JBB ]
  * Add udev rules for chaozu (#5)
  * postrm: don't remove nonexistent group
  * postinst: Add workaround :/

  [ Dalton Durst ]
  * Add and remove appropriate directories and links for halium-boot (#1)

  [ ZhongQian TiaoGong ]
  * Add rules for jfltetmo

  [ Herman van Hazendonk ]
  * Add udev rules for Angler, Athene, Mido, Onyx and Tenderloin

  [ Nelly Simkova ]
  * Create 70-oneplus3.rules (#6)

  [ Bhushan Shah ]
  * Initial commit
  * Add mount unit for system.img
  * Add service to mount android partitions
  * chmod +x adbd pre-start script
  * Fix the udev rule
  * Add method for copying udev rules
  * Don't skip entry if directory is not created
  * symlink /vendor
  * Make udev require on the /system being mounted
  * Don't create vendor symlink ourself, let container handle that
  * Remove vendor symlink if present
  * Add rules for bullhead device
  * Try to mount partition after udev is set up correctly

  [ thewisenerd ]
  * ferrari: add udev rules

 -- r3vn <giuseppe.corti@protonmail.com>  Sat, 03 Oct 2020 01:53:05 +0200

